/*
 *  greg2jul.c
 *  ephemeride
 *
 *  Created by Alexandre Vial on Wed Dec 29 2004.
 *  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
 *
 */

#include "greg2jul.h"
#include<math.h>

#define J2000 2451545

double greg2jul(d,m,j){
	double J,datejul,c;
	
	if (m<=2){ 
		m=m+12;
		j=j-1;
	}   

	c=2-floor(j/100)+floor(j/400);

	J=floor(1461*(j+4716)/4)+floor(153*(m+1)/5)+d+c-1524.5;

	datejul=J-J2000;
	return datejul;
}